Bug 1276767 - Delete an orchestration template result in an UI error on screen
Delete an orchestration template result in an UI error on screen
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Milan Zázrivec
Dave Johnson
Depends On:
  Show dependency treegraph
Reported: 2015-10-30 15:54 EDT by Bill Wei
Modified: 2015-11-11 15:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-03 08:02:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Wei 2015-10-30 15:54:29 EDT
Description of problem:

Delete an orchestration template causes "Unexpected error encountered" 

Log shows
[----] F, [2015-10-30T15:39:56.710542 #66568:3fdc51c601fc] FATAL -- : Error caught: [NoMethodError] undefined method `name' for nil:NilClass
/Users/bwei/redhat/iq/manageiq/app/controllers/catalog_controller.rb:1658:in `get_node_info'
/Users/bwei/redhat/iq/manageiq/app/controllers/catalog_controller.rb:1761:in `replace_right_cell'
/Users/bwei/redhat/iq/manageiq/app/controllers/catalog_controller.rb:774:in `ot_remove_submit'
/Users/bwei/redhat/iq/manageiq/app/controllers/catalog_controller.rb:61:in `x_button'

The template was successfully deleted from the VMDB but with the UI error.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 3 Milan Zázrivec 2015-11-03 08:02:13 EST
I cannot reproduce this problem either.

I'm closing this with worksforme, please reopen if this problem
appears again and / or have further information.


Note You need to log in before you can comment on or make changes to this bug.